보기/리스트 데이타

### Type Parameters

- #### D

- #### L = {}

- #### P = {}

### Hierarchy

- ViewDataVo<D, P>
  - ViewListDataVo

## Index

### Properties

- codeKey
- dataList
- dataView
- loadStatus
- params
- subTitle
- title
- toolbars

## Properties

### Optional codeKey

codeKey?: {}

Inherited from ViewDataVo.codeKey

- Defined in src/services/common.interface.ts:221

키 정보

#### Type declaration

- ##### [key: string]: string

### dataList

dataList: L[]

- Defined in src/services/common.interface.ts:252

목록 리스트

### dataView

dataView: D

Inherited from ViewDataVo.dataView

- Defined in src/services/common.interface.ts:236

내용 보기

### Optional loadStatus

loadStatus?: LoadStatusType

Inherited from ViewDataVo.loadStatus

- Defined in src/services/common.interface.ts:218

로딩 상태

### Optional params

params?: P

Inherited from ViewDataVo.params

- Defined in src/services/common.interface.ts:225

### Optional subTitle

subTitle?: string

Inherited from ViewDataVo.subTitle

- Defined in src/services/common.interface.ts:215

부제목

### Optional title

title?: string

Inherited from ViewDataVo.title

- Defined in src/services/common.interface.ts:212

제목

### Optional toolbars

toolbars?: ToolbarButtonVo[]

Inherited from ViewDataVo.toolbars

- Defined in src/services/common.interface.ts:228

하단 툴바 설정

Generated using TypeDoc